package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 故障案例信息对象 phm_fault_case
 *
 * @author phm
 * @date 2023-08-22
 */
public class FaultCase extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 案例案例名称
     */
    @Excel(name = "案例文件名称")
    private String caseFileName;

    /**
     * 案例案例名称
     */
    @Excel(name = "案例名称")
    private String caseName;

    /**
     * 故障描述
     */
    @Excel(name = "故障描述")
    private String description;

    /**
     * 案例编号
     */
    @Excel(name = "案例编号")
    private String caseNumber;

    /**
     * 数据是否删除（1：删除，0有效）
     */
    @Excel(name = "数据是否删除", readConverterExp = "1=：删除，0有效")
    private Long isDelete;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;

    /**
     * 案例特征参数
     */
    @Excel(name = "案例特征参数")
    private String parameter;

    /**
     * 故障定位
     */
    @Excel(name = "故障定位")
    private String location;

    /**
     * 解决措施
     */
    @Excel(name = "解决措施")
    private String solution;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public String getCaseFileName() {
        return caseFileName;
    }

    public void setCaseFileName(String caseFileName) {
        this.caseFileName = caseFileName;
    }

    public void setCaseName(String caseName) {
        this.caseName = caseName;
    }

    public String getCaseName() {
        return caseName;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    public void setCaseNumber(String caseNumber) {
        this.caseNumber = caseNumber;
    }

    public String getCaseNumber() {
        return caseNumber;
    }

    public void setIsDelete(Long isDelete) {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() {
        return isDelete;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setParameter(String parameter) {
        this.parameter = parameter;
    }

    public String getParameter() {
        return parameter;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocation() {
        return location;
    }

    public void setSolution(String solution) {
        this.solution = solution;
    }

    public String getSolution() {
        return solution;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("caseName", getCaseName())
                .append("description", getDescription())
                .append("caseNumber", getCaseNumber())
                .append("isDelete", getIsDelete())
                .append("createdBy", getCreatedBy())
                .append("createdTime", getCreatedTime())
                .append("updatedBy", getUpdatedBy())
                .append("updatedTime", getUpdatedTime())
                .append("parameter", getParameter())
                .append("location", getLocation())
                .append("solution", getSolution())
                .toString();
    }
}
